java.util.prefs

## Class NodeChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - java.util.prefs.NodeChangeEvent

- All Implemented Interfaces:
    Serializable

      public class NodeChangeEvent
      extends EventObject

  An event emitted by a `Preferences` node to indicate that a child of that node has been added or removed.

  Note, that although NodeChangeEvent inherits Serializable interface from java.util.EventObject, it is not intended to be Serializable. Appropriate serialization methods are implemented to throw NotSerializableException.

  Since:
    1.4
  See Also:
    `Preferences`, `NodeChangeListener`, `PreferenceChangeEvent`

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeChangeEvent(Preferences parent, Preferences child)` Constructs a new `NodeChangeEvent` instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Preferences` | `getChild()` Returns the node that was added or removed.
    `Preferences` | `getParent()` Returns the parent of the node that was added or removed.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeChangeEvent

          public NodeChangeEvent(Preferences parent,
                         Preferences child)

      Constructs a new `NodeChangeEvent` instance.
      Parameters:
        `parent` - The parent of the node that was added or removed.
        `child` - The node that was added or removed.

  - ### Method Detail

    - #### getParent

          public Preferences getParent()

      Returns the parent of the node that was added or removed.
      Returns:
        The parent Preferences node whose child was added or removed

    - #### getChild

          public Preferences getChild()

      Returns the node that was added or removed.
      Returns:
        The node that was added or removed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.